import { IFileSystem } from '@file-services/types';
import { Stylable } from '@stylable/core';
import { StylableLanguageService } from '@stylable/language-service';
import { ColorInformation, ColorPresentation, ColorPresentationParams, CompletionParams, CompletionItem, Definition, DocumentColorParams, Hover, IConnection, Location, TextDocumentChangeEvent, TextDocumentPositionParams, TextDocuments, ReferenceParams, RenameParams, SignatureHelp, WorkspaceEdit, TextDocument } from 'vscode-languageserver';
export declare class VscodeStylableLanguageService {
    textDocuments: TextDocuments<TextDocument>;
    protected languageService: StylableLanguageService;
    private connection;
    constructor(connection: IConnection, docs: TextDocuments<TextDocument>, fs: IFileSystem, stylable: Stylable);
    onCompletion(params: CompletionParams): CompletionItem[];
    onDefinition(params: TextDocumentPositionParams): Definition;
    onHover(params: TextDocumentPositionParams): Hover | null;
    onReferences(params: ReferenceParams): Location[];
    onRenameRequest(params: RenameParams): WorkspaceEdit;
    onSignatureHelp(params: TextDocumentPositionParams): SignatureHelp | null;
    onDocumentColor(params: DocumentColorParams): ColorInformation[];
    onColorPresentation(params: ColorPresentationParams): ColorPresentation[];
    createDiagnosticsHandler(): () => Promise<import("vscode-languageserver-types").Diagnostic[]>;
    onDidClose(): (event: TextDocumentChangeEvent<TextDocument>) => void;
    private getDocAndPath;
}
//# sourceMappingURL=vscode-service.d.ts.map